<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="sfexp">
        <input>
            <port tag="P1" type="P1_JOYSTICK_UP" mask="1" defvalue="1">
                <newseq type="standard">
                    KEYCODE_W
                </newseq>
            </port>
            <port tag="P1" type="P1_JOYSTICK_DOWN" mask="2" defvalue="2">
                <newseq type="standard">
                    KEYCODE_S
                </newseq>
            </port>
            <port tag="P1" type="P1_JOYSTICK_LEFT" mask="4" defvalue="4">
                <newseq type="standard">
                    KEYCODE_A
                </newseq>
            </port>
            <port tag="P1" type="P1_JOYSTICK_RIGHT" mask="8" defvalue="8">
                <newseq type="standard">
                    KEYCODE_D
                </newseq>
            </port>
            <port tag="P1" type="P1_BUTTON1" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_V
                </newseq>
            </port>
            <port tag="P1" type="P1_BUTTON2" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_B
                </newseq>
            </port>
            <port tag="P1" type="P1_BUTTON3" mask="64" defvalue="64">
                <newseq type="standard">
                    KEYCODE_F
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_UP" mask="1" defvalue="1">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_DOWN" mask="2" defvalue="2">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_LEFT" mask="4" defvalue="4">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port tag="P2" type="P2_JOYSTICK_RIGHT" mask="8" defvalue="8">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port tag="P2" type="P2_BUTTON1" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_1PAD
                </newseq>
            </port>
            <port tag="P2" type="P2_BUTTON2" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_2PAD
                </newseq>
            </port>
            <port tag="P2" type="P2_BUTTON3" mask="64" defvalue="64">
                <newseq type="standard">
                    KEYCODE_3PAD
                </newseq>
            </port>
            <port tag="SERVICE" type="SERVICE" mask="1" defvalue="1">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="SERVICE" type="SERVICE1" mask="2" defvalue="2">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="SERVICE" type="TILT" mask="4" defvalue="4">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port tag="SYSTEM" type="START2" mask="2" defvalue="2">
                <newseq type="standard">
                    KEYCODE_HOME
                </newseq>
            </port>
            <port tag="SYSTEM" type="COIN2" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_ASTERISK
                </newseq>
            </port>
            <port tag="P3" type="P1_BUTTON4" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_LSHIFT
                </newseq>
            </port>
            <port tag="P3" type="P1_BUTTON5" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_N
                </newseq>
            </port>
            <port tag="P3" type="P1_BUTTON6" mask="64" defvalue="64">
                <newseq type="standard">
                    KEYCODE_M
                </newseq>
            </port>
            <port tag="P4" type="P2_BUTTON4" mask="16" defvalue="16">
                <newseq type="standard">
                    KEYCODE_4PAD
                </newseq>
            </port>
            <port tag="P4" type="P2_BUTTON5" mask="32" defvalue="32">
                <newseq type="standard">
                    KEYCODE_5PAD
                </newseq>
            </port>
            <port tag="P4" type="P2_BUTTON6" mask="64" defvalue="64">
                <newseq type="standard">
                    KEYCODE_6PAD
                </newseq>
            </port>
        </input>
        <mixer>
            <volume multiplier_final="256" multiplier_final_max="256" multiplier_mixer="491" multiplier_mixer_max="491" />
        </mixer>
    </system>
</mameconfig>
